<meta charset="UTF-8">
<meta http-equiv="X-UA-Compatible" content="ie=edge">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<meta name="author" content="{{ if .Params.author }}{{ .Params.author }}{{ else }}{{ range .Site.Author }}{{ . }} {{ end }}{{ end }}">
<meta name="description" content="{{ if .IsHome }}{{ .Site.Params.homeSubtitle }}{{ else }}{{ .Summary | plainify }}{{ end }}" />
<meta name="keywords" content="{{ .Site.Params.keywords }}{{ if .Params.tags }}{{ range .Params.tags }}, {{ . }}{{ end }}{{ end }}" />
<meta name="robots" content="noodp" />
<meta name="theme-color" content="{{ .Site.Params.themeColor }}" />
<link rel="canonical" href="{{ .Permalink }}" />

{{ block "title" . }}
    <title>
        {{ if .IsHome }}
            {{ $.Site.Title }} {{ with $.Site.Params.Subtitle }} — {{ . }} {{ end }}
        {{ else }}
        {{ .Title }} {{ $.Site.Title }} {{ with $.Site.Params.Subtitle }} — {{ . }}{{ end }}
        {{ end }}
    </title>
{{ end }}

<!-- CSS -->
<link href="https://cdnjs.cloudflare.com/ajax/libs/flag-icon-css/3.5.0/css/flag-icon.min.css" rel="stylesheet"
    type="text/css">

{{ $options := (dict "targetPath" "main.css" "outputStyle" "compressed" "enableSourceMap" true) }}
{{ $style := resources.Get "scss/main.scss" | resources.ToCSS $options | resources.Fingerprint }}
<link rel="stylesheet" href="{{ $style.RelPermalink }}">

{{ range $val := $.Site.Params.customCSS }}
    {{ if gt (len $val) 0 }}
        <link rel="stylesheet" type="text/css" href="{{ $val }}">
    {{ end }}
{{ end }}

<!-- Icons -->
{{- partial "favicons.html" . }}

{{ template "_internal/schema.html" . }}
{{ template "_internal/twitter_cards.html" . }}

{{ if isset .Site.Taxonomies "series" }}
    {{ template "_internal/opengraph.html" . }}
{{ end }}

{{ range .Params.categories }}
    <meta property="article:section" content="{{ . }}" />
{{ end }}

{{ if isset .Params "date" }}
    <meta property="article:published_time" content="{{ time .Date }}" />
{{ end }}

<!-- RSS -->
{{ with .OutputFormats.Get "rss" -}}
    {{ printf `<link rel="%s" type="%s" href="%s" title="%s" />` .Rel .MediaType.Type .Permalink $.Site.Title | safeHTML }}
{{ end -}}

<!-- JSON Feed -->
{{ if .OutputFormats.Get "json" }}
<link href="{{ if .OutputFormats.Get "json" }}{{ .Site.BaseURL }}feed.json{{ end }}" rel="alternate"
    type="application/json" title="{{ .Site.Title }}" />
{{ end }}

<!-- Custom head tags -->
{{- if templates.Exists "partials/extra-head.html" -}}
    {{ partial "extra-head.html" . }}
{{- end }}
